package com.ruoyi.system.controller.api;

import com.ruoyi.common.core.constant.UserConstants;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.system.api.RemoteUserService;
import com.ruoyi.system.api.domain.SysUser;
import com.ruoyi.system.api.model.LoginUser;
import com.ruoyi.system.service.ISysConfigService;
import com.ruoyi.system.service.ISysUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
public class RemoteUserApi implements RemoteUserService {

    @Autowired
    private ISysUserService iSysUserService;

    @Autowired
    private ISysConfigService iSysConfigService;

    @Override
    public R<LoginUser> getUserInfo(String username, String source) {
        LoginUser info = iSysUserService.getInfo(username);
        return R.ok(info);
    }

    @Override
    public R<Boolean> registerUserInfo(SysUser sysUser, String source) {
        String username = sysUser.getUserName();
        if (!("true".equals(iSysConfigService.selectConfigByKey("sys.account.registerUser"))))
        {
            return R.fail("当前系统没有开启注册功能！");
        }
        if (UserConstants.NOT_UNIQUE.equals(iSysUserService.checkUserNameUnique(username)))
        {
            return R.fail("保存用户'" + username + "'失败，注册账号已存在");
        }
        return R.ok(iSysUserService.registerUser(sysUser));
    }



}
