package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 平台信息对象 sys_platform
 * 
 * @author usky
 * @date 2022-04-29
 */
public class SysPlatform extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 平台名称 */
    @Excel(name = "平台名称")
    private String platformName;

    /** 平台状态（0 停用 1 启用） */
    @Excel(name = "平台状态", readConverterExp = "0=,停=用,1=,启=用")
    private String status;

    /** 激活码 */
    @Excel(name = "激活码")
    private String tenantkey;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPlatformName(String platformName) 
    {
        this.platformName = platformName;
    }

    public String getPlatformName() 
    {
        return platformName;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setTenantkey(String tenantkey) 
    {
        this.tenantkey = tenantkey;
    }

    public String getTenantkey() 
    {
        return tenantkey;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("platformName", getPlatformName())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("tenantkey", getTenantkey())
            .toString();
    }
}
