package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 租户信息对象 sys_tenant
 * 
 * @author ruoyi
 * @date 2022-04-25
 */
public class SysTenant extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 租户ID */
    private Long id;

    /** 租户编号 */
    @Excel(name = "租户编号")
    private String tenantCode;

    /** 租户名称 */
    @Excel(name = "租户名称")
    private String tenantName;

    /** 租户负责人 */
    @Excel(name = "租户负责人")
    private String tenantManager;

    /** 租户类型（0 试用租户  1 正式租户） */
    @Excel(name = "租户类型", readConverterExp = "0=,试=用租户,1=,正=式租户")
    private String tenantType;

    /** 租户站点域名 */
    @Excel(name = "租户站点域名")
    private String domain;

    /** 租户邮箱 */
    @Excel(name = "租户邮箱")
    private String email;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String phoneNumber;

    /** 联系地址 */
    @Excel(name = "联系地址")
    private String address;

    /** 有效期限 */
    @Excel(name = "有效期限")
    private String tenantTerm;

    /** 租户状态（0正常 1停用） */
    @Excel(name = "租户状态", readConverterExp = "0=正常,1=停用")
    private String status;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTenantCode(String tenantCode) 
    {
        this.tenantCode = tenantCode;
    }

    public String getTenantCode() 
    {
        return tenantCode;
    }
    public void setTenantName(String tenantName) 
    {
        this.tenantName = tenantName;
    }

    public String getTenantName() 
    {
        return tenantName;
    }
    public void setTenantManager(String tenantManager) 
    {
        this.tenantManager = tenantManager;
    }

    public String getTenantManager() 
    {
        return tenantManager;
    }
    public void setTenantType(String tenantType) 
    {
        this.tenantType = tenantType;
    }

    public String getTenantType() 
    {
        return tenantType;
    }
    public void setDomain(String domain) 
    {
        this.domain = domain;
    }

    public String getDomain() 
    {
        return domain;
    }
    public void setEmail(String email) 
    {
        this.email = email;
    }

    public String getEmail() 
    {
        return email;
    }
    public void setPhoneNumber(String phoneNumber) 
    {
        this.phoneNumber = phoneNumber;
    }

    public String getPhoneNumber() 
    {
        return phoneNumber;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setTenantTerm(String tenantTerm) 
    {
        this.tenantTerm = tenantTerm;
    }

    public String getTenantTerm() 
    {
        return tenantTerm;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("tenantCode", getTenantCode())
            .append("tenantName", getTenantName())
            .append("tenantManager", getTenantManager())
            .append("tenantType", getTenantType())
            .append("domain", getDomain())
            .append("email", getEmail())
            .append("phoneNumber", getPhoneNumber())
            .append("address", getAddress())
            .append("tenantTerm", getTenantTerm())
            .append("remark", getRemark())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
