package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.SysPlatformMenu;

/**
 * 平台和菜单关联Service接口
 * 
 * @author usky
 * @date 2022-04-29
 */
public interface ISysPlatformMenuService 
{
    /**
     * 查询平台和菜单关联
     * 
     * @param platformId 平台和菜单关联主键
     * @return 平台和菜单关联
     */
    public SysPlatformMenu selectSysPlatformMenuByPlatformId(Long platformId);

    /**
     * 查询平台和菜单关联列表
     * 
     * @param sysPlatformMenu 平台和菜单关联
     * @return 平台和菜单关联集合
     */
    public List<SysPlatformMenu> selectSysPlatformMenuList(SysPlatformMenu sysPlatformMenu);

    /**
     * 新增平台和菜单关联
     * 
     * @param sysPlatformMenu 平台和菜单关联
     * @return 结果
     */
    public int insertSysPlatformMenu(SysPlatformMenu sysPlatformMenu);

    /**
     * 修改平台和菜单关联
     * 
     * @param sysPlatformMenu 平台和菜单关联
     * @return 结果
     */
    public int updateSysPlatformMenu(SysPlatformMenu sysPlatformMenu);

    /**
     * 批量删除平台和菜单关联
     * 
     * @param platformIds 需要删除的平台和菜单关联主键集合
     * @return 结果
     */
    public int deleteSysPlatformMenuByPlatformIds(Long[] platformIds);

    /**
     * 删除平台和菜单关联信息
     * 
     * @param platformId 平台和菜单关联主键
     * @return 结果
     */
    public int deleteSysPlatformMenuByPlatformId(Long platformId);
}
